# smbmnt

## Name

smbmnt -- helper utility for mounting SMB filesystems

## Synopsis

smbmnt {mount-point} [-s <share>] [-r] [-u <uid>] [-g <gid>] [-f <mask>] [-d <mask>] [-o <options>]

## DESCRIPTION

smbmnt is a helper application used by the smbmount program to do the actual mounting of SMB shares. smbmnt is meant to be installed setuid root so that normal users can mount their smb shares. It checks whether the user has write permissions on the mount point and then mounts the directory.

The smbmnt program is normally invoked by smbmount(8) . It should not be invoked directly by users.

## OPTIONS

-r

  mount the filesystem read-only

-u uid

  specify the uid that the files will be owned by

-g gid

  specify the gid that the files will be owned by

-f mask

  specify the octal file mask applied

-d mask

  specify the octal directory mask applied

-o options

  list of options that are passed as-is to smbfs, if this command is run on a 2.4 or higher linux kernel.

## AUTHOR

Volker Lendecke, Andrew Tridgell, Michael H. Warfield and others.

The current maintainer of smbfs and the userspace tools smbmount, smbumount, and smbmnt is Urban Widmark. The SAMBA Mailing list is the preferred place to ask questions regarding these programs.

The conversion of this manpage for Samba 2.2 was performed by Gerald Carter